| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
CompilationHandler

# Method CompilationHandler()->handle_include()

Method handle_include

  `string handle_include(string header_file, string current_file, int(0..1) is_local_ref)`

Description

  Called by cpp() to resolv `#include` and `#string` directives.

Parameter `header_file`

  File that was requested for inclusion.

Parameter `current_file`

  File where the directive was found.

Parameter `is_local_ref`

  Specifies reference method.

  `0` | Directive was `#include <header_file>`.
  `1` | Directive was `#include "header_file"`.

Returns

  Returns the filename to pass to read_include() if found, and `0` (zero) on failure.

See also

  read_include()